import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import ReactDOM from 'react-dom';
import { Provider } from 'react-redux';
import { PersistGate } from 'redux-persist/integration/react';
import App from './App';
import getStore from './core/store';
var extraLayout = {};
export default (function (options, mountNodeId) {
  var _getStore = getStore(),
      store = _getStore.store,
      persistor = _getStore.persistor;

  ReactDOM.render(React.createElement(Provider, {
    store: store
  }, React.createElement(PersistGate, {
    loading: null,
    persistor: persistor
  }, React.createElement(App, _extends({
    extraLayout: extraLayout
  }, options)))), document.getElementById(mountNodeId));
});